import './IconButton.styles_1xwaxjr.css';
import { styled } from '@linaria/react';
import { component, mergeConfig } from '../../../../engines/common.js';
import { iconButtonConfig } from '../../../IconButton/IconButton.js';

var mergedConfig = /*#__PURE__*/mergeConfig(iconButtonConfig);
var IconButton = /*#__PURE__*/component(mergedConfig);
var _exp = function _exp() {
  return IconButton;
};
var StyledIconButton = /*#__PURE__*/styled(_exp())({
  name: "StyledIconButton",
  "class": "slgpst7",
  propsAsIs: true
});
var _exp48 = function _exp48() {
  return IconButton;
};
var StyledIconButtonCancel = /*#__PURE__*/styled(_exp48())({
  name: "StyledIconButtonCancel",
  "class": "s12nkh3q",
  propsAsIs: true
});

export { StyledIconButton, StyledIconButtonCancel };
